#
# spec file for package mousam
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mousam
Version:        1.4.0
Release:        1.1
Summary:        A lightweight weather app
License:        GPL-3.0-or-later
URL:            https://github.com/amit9838/mousam
Source:         %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM mousam-toggle-unit-settings-button.patch gh#amit9838/mousam#179 badshah400@gmail.com -- fix: use Gtk.ToggleButton.toggled for setting unit; upstream commit
Patch1:         https://github.com/amit9838/mousam/commit/0ec1d98a02c2a10e8520e21e5002709905ac799c.patch#/mousam-toggle-unit-settings-button.patch
BuildRequires:  desktop-file-utils
BuildRequires:  gobject-introspection
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson
BuildRequires:  ninja
BuildRequires:  pkgconfig
BuildRequires:  python3-base >= 3.8
BuildRequires:  python3-requests
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
Requires:       python3-gobject-Gdk
BuildArch:      noarch

%lang_package

%description
Mousam is a lightweight weather app. It has the following features:
*	Real-time temperature, humidity, wind speed, UV index, pressure and more
*	Provide hourly forecasts for the next 24 hours
*	Also shows tomorrow and 7-day forcasts
*	Supports metric or imperial systems

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} %{?no_lang_C}

%check
%meson_test

%files
%license COPYING
%doc README.md
%{_bindir}/mousam
%{_datadir}/%{name}/
%{_datadir}/appdata/*appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/scalable/mousam_icons/
%{_datadir}/icons/hicolor/*/apps/*.svg

%files lang -f %{name}.lang

%changelog
* Sat May 10 2025 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 1.4.0:
  + What’s New:
  - Added new backgrounds for both day and night weather
    conditions.
  - Introduced a welcome screen for first-time users.
  + UI Improvements:
  - Updated branding colors to align with the app’s theme.
  - Reduced grid spacing and made forecast items and UI
    components smaller for a cleaner look.
  + Bug Fixes:
  - Fixed typos and improved code formatting for better
    maintainability.
  - Resolved issues related to styling and default location
    settings.
  + Updated translations.
- Add mousam-toggle-unit-settings-button.patch -- fix: use
  Gtk.ToggleButton.toggled for setting unit; upstream commit
  (gh#amit9838/mousam#179).
* Fri Aug  9 2024 Atri Bhattacharya <badshah400@gmail.com>
- Disable builds for Leap 15.X since python3 >= 3.8 is required.
* Thu Aug  8 2024 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 1.3.2:
  + New icon.
  + Resolved the issue of sunset/sunrise time always displaying in
    12-hour format.
  + Improved sun rotation functionality to support both 12-hour
    and 24-hour formats.
  + Updated translations.
* Fri Jun 14 2024 Atri Bhattacharya <badshah400@gmail.com>
- Initial package.
